Goo::Canvas::Widget(3)

NAME
Goo::Canvas::Widget - wrapper for GooCanvasWidget

HIERARCHY
  Glib::Object
  +----Goo::Canvas::ItemSimple
       +----Goo::Canvas::Widget

INTERFACES
  Goo::Canvas::Item

METHODS

  item = Goo::Canvas::Widget->new ($parent, $widget, $x, $y, $width, $height, ...)

•   $parent (Goo::Canvas::Item)

•   $widget (Gtk2::Widget)

•   $x (double)

•   $y (double)

•   $width (double)

•   $height (double)

•   ... (list)

PROPERTIES

'anchor' (Gtk2::AnchorType : default "north-west" : readable / writable)
    How to position the widget relative to the item's x and y coordinate settings

'height' (double : default -1 : readable / writable)
    The height of the widget, or -1 to use its requested height

'widget' (Gtk2::Widget : default undef : readable / writable)
    The widget to place in the canvas

'width' (double : default -1 : readable / writable)
    The width of the widget, or -1 to use its requested width

'x' (double : default 0 : readable / writable)
    The x coordinate of the widget

'y' (double : default 0 : readable / writable)
    The y coordinate of the widget

ENUMS AND FLAGS

  enum Gtk2::AnchorType

•   'center' / 'GTK_ANCHOR_CENTER'

•   'north' / 'GTK_ANCHOR_NORTH'

•   'north-west' / 'GTK_ANCHOR_NORTH_WEST'

•   'north-east' / 'GTK_ANCHOR_NORTH_EAST'

•   'south' / 'GTK_ANCHOR_SOUTH'

•   'south-west' / 'GTK_ANCHOR_SOUTH_WEST'

•   'south-east' / 'GTK_ANCHOR_SOUTH_EAST'

•   'west' / 'GTK_ANCHOR_WEST'

•   'east' / 'GTK_ANCHOR_EAST'

•   'n' / 'GTK_ANCHOR_N'

•   'nw' / 'GTK_ANCHOR_NW'

•   'ne' / 'GTK_ANCHOR_NE'

•   's' / 'GTK_ANCHOR_S'

•   'sw' / 'GTK_ANCHOR_SW'

•   'se' / 'GTK_ANCHOR_SE'

•   'w' / 'GTK_ANCHOR_W'

•   'e' / 'GTK_ANCHOR_E'

SEE ALSO
Glib::Object, Goo::Canvas::ItemSimple

COPYRIGHT
Copyright (C) 2017 Gtk2-Perl Team